Name:           maven-artifact-transfer
Version:        0.11.0
Release:        %mkrel 1
Group:          Development/Java
Epoch:          1
Summary:        Apache Maven Artifact Transfer
License:        ASL 2.0
URL:            http://maven.apache.org/shared/maven-artifact-transfer
BuildArch:      noarch

Source0:        http://repo1.maven.org/maven2/org/apache/maven/shared/%{name}/%{version}/%{name}-%{version}-source-release.zip

Patch0:         0001-Compatibility-with-Maven-3.0.3-and-later.patch

BuildRequires:  maven-local
BuildRequires:  mvn(commons-codec:commons-codec)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven.shared:maven-common-artifact-filters)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.eclipse.aether:aether-api)
BuildRequires:  mvn(org.eclipse.aether:aether-impl)
BuildRequires:  mvn(org.eclipse.aether:aether-util)
BuildRequires:  mvn(org.mockito:mockito-core)
BuildRequires:  mvn(org.slf4j:slf4j-api)


%description
An API to either install or deploy artifacts with Maven 3.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package provides %{summary}.

%prep
%setup -q
%patch0 -p1

%pom_remove_plugin :maven-shade-plugin
%pom_remove_plugin :apache-rat-plugin
%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_plugin :animal-sniffer-maven-plugin

# We don't want to support legacy Maven versions (older than 3.1)
%pom_remove_dep org.sonatype.aether:
find -name Maven30\*.java -delete

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE



%changelog
* Thu Aug 20 2020 neoclust <neoclust> 1:0.11.0-1.mga8
+ Revision: 1616521
- New version 0.11.0

* Wed Feb 12 2020 umeabot <umeabot> 1:0.9.0-2.mga8
+ Revision: 1507428
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 daviddavid <daviddavid> 1:0.9.0-1.mga7
+ Revision: 1288050
- Update to upstream version 0.9.0 (sync with fc29)

* Tue Sep 18 2018 umeabot <umeabot> 3.0-0.3.20160118svn1722502.mga7
+ Revision: 1263294
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 3.0-0.3.20160118svn1722501.mga6
+ Revision: 1101427
- Rebuild maven-* packages
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 3.0-0.3.20160118svn1722499.mga6
+ Revision: 977258
- First rebuild of the java stack
- sync package maven-artifact-transfer with fedora

* Sun Dec 20 2015 zezinho <zezinho> 3.0-0.1.20151012svn1708080.mga6
+ Revision: 912514
- add group
- imported package maven-artifact-transfer


* Tue Jun  9 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 3.0-0.1.20151012svn1708080
- Initial packaging
